aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/UserScripts/WallpaperEffects.sh
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-02-24 20:45:31 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-02-24 20:45:56 +0900
commit4f20f0630fb41bcf53a6801d01c94e39593cce08 (patch)
tree5e225ccc0f0c4e85ec4283794b62ea155e06ae72 /config/hypr/UserScripts/WallpaperEffects.sh
parentc4c18b3da884053308cff0efdf4d76ff46e25e27 (diff)
fixed for the mini BUG when selecting wallpaper to apply as SDDM background
Diffstat (limited to 'config/hypr/UserScripts/WallpaperEffects.sh')
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperEffects.sh32
1 files changed, 9 insertions, 23 deletions
diff --git a/config/hypr/UserScripts/WallpaperEffects.sh b/config/hypr/UserScripts/WallpaperEffects.sh
index 948c637c..5ddc9fd3 100755
--- a/config/hypr/UserScripts/WallpaperEffects.sh
+++ b/config/hypr/UserScripts/WallpaperEffects.sh
@@ -101,36 +101,22 @@ fi
main
sleep 1
-# Check if user selected a wallpaper
+
if [[ -n "$choice" ]]; then
sddm_sequoia="/usr/share/sddm/themes/sequoia_2"
if [ -d "$sddm_sequoia" ]; then
- notify-send -i "$iDIR/ja.png" "Set wallpaper" "as SDDM background?" \
- -t 10000 \
- -A "yes=Yes" \
- -A "no=No" \
- -h string:x-canonical-private-synchronous:wallpaper-notify
-
- # Wait for user input using dbus-monitor
- dbus-monitor "interface='org.freedesktop.Notifications',member='ActionInvoked'" |
- while read -r line; do
- if echo "$line" | grep -q "yes"; then
+ if yad --question --text="Set wallpaper as SDDM background?\nNOTE: This only applies to SEQUOIA SDDM Theme" --title="SDDM Background" --ok-label="Yes"; then
# Check if terminal exists
- if ! command -v "$terminal" &>/dev/null; then
- notify-send -i "$iDIR/ja.png" "Missing $terminal" "Install $terminal to enable setting of wallpaper background"
- exit 1
- fi
-
+ if ! command -v "$terminal" &>/dev/null; then
+ notify-send -i "$iDIR/ja.png" "Missing $terminal" "Install $terminal to enable setting of wallpaper background"
+ exit 1
+ fi
+
+ # Open terminal and set the wallpaper
$terminal -e bash -c "echo 'Enter your password to set wallpaper as SDDM Background'; \
sudo cp -r $wallpaper_output '$sddm_sequoia/backgrounds/default' && \
notify-send -i '$iDIR/ja.png' 'SDDM' 'Background SET'"
- break
- elif echo "$line" | grep -q "no"; then
- echo "Wallpaper not set as SDDM background. Exiting."
- break
- fi
-
- done &
+ fi
fi
fi \ No newline at end of file
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage